name: "testgen"

description: |
    This is TestGen model for the task of test generation.
urls:
  - https://huggingface.co/jacobhoffmann/CodeLLaMA-2-13B-TestGen-Dart_v0.2-GGUF

config_file: |
    name: testgen
    backend: llama
    context_size: 4096
    f16: true
    parameters:
      model: model_data/text_generation/jacobhoffmann/CodeLLaMA-2-13B-TestGen-Dart_v0.2-GGUF/CodeLLaMA-2-13B-TestGen-Dart_v0.2_Q4_0.gguf
      top_k: 80
      temperature: 0.2
      top_p: 0.7
    template:
      chat_message: testgen
      chat: testgen-block
      completion: completion  
    stopwords: </s>
prompt_templates:
- name: "testgen"
  content: |
    Below is an instruction that describes a task. Write a response that appropriately completes the request.
    ### Code: {{.Input}}
    ### Test:
- name: "testgen-block"
  content: |
    ### Code: {{.Input}}
    ### Test:
- name: "completion"
  content: |
    {{.Input}}
    

files:
  - filename: "model_data/text_generation/jacobhoffmann/CodeLLaMA-2-13B-TestGen-Dart_v0.2-GGUF/CodeLLaMA-2-13B-TestGen-Dart_v0.2_Q4_0.gguf"
    sha256: "4bf5e029e48cb4c5cb79cd5e795f531bd9d1eb62f827b0d05159ec61d1077780"
    uri: "https://huggingface.co/jacobhoffmann/CodeLLaMA-2-13B-TestGen-Dart_v0.2-GGUF/resolve/main/CodeLLaMA-2-13B-TestGen-Dart_v0.2_Q4_0.gguf"